Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RecoveryPolicy.Get(ctx, operations.C1APICredentialInventoryV1RecoveryPolicyServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RecoveryPolicyServiceGetResponse != nil {
// handle response
}
}curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/recovery-policies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/recovery-policies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/recovery-policies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recoveryPolicy": {
"allowedRecoveryTypes": [],
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"isBuiltin": true,
"priority": 123,
"revokeOnRecovery": true,
"updatedAt": "2023-11-07T05:31:56Z"
}
}Recovery Policy
Get
Get a recovery policy by ID.
GET
/
api
/
v1
/
recovery-policies
/
{id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RecoveryPolicy.Get(ctx, operations.C1APICredentialInventoryV1RecoveryPolicyServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.RecoveryPolicyServiceGetResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the policy to retrieve.
Response
200 - application/json
Successful response
The RecoveryPolicyServiceGetResponse message.
RecoveryPolicy defines how users recover access when they lose their credentials.
Show child attributes
Show child attributes
Was this page helpful?
⌘I